Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ExternalParser

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenParserImplementation, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ExternalParserImpl

    public interface ExternalParser

extends GenParserImplementation

A representation of the model object 'External Parser'. Delegate to ParserService to find out

The following features are supported:

- `Hint`

See Also:
  `GMFGenPackage.getExternalParser()`
** Generated **
Model:

Method Summary
`java.lang.String` `getHint()` Returns the value of the 'Hint' attribute
`void` `setHint(java.lang.String value)` Sets the value of the '`Hint`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenParserImplementation
`getHolder, getUses`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getHint

    java.lang.String getHint()

  Returns the value of the 'Hint' attribute. Optionally, override hint value

  Returns:
    the value of the 'Hint' attribute.
  See Also:
    `setHint(String)`, `GMFGenPackage.getExternalParser_Hint()`
  ** Generated **
  Model:

### setHint

    void setHint(java.lang.String value)

  Sets the value of the '`Hint`' attribute.

  Parameters:
    `value` - the new value of the 'Hint' attribute.
  See Also:
    `getHint()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.